Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hdf.extractor
Class NewOleFile

    java.lang.Object
      java.io.RandomAccessFile
          org.apache.poi.hdf.extractor.NewOleFile

All Implemented Interfaces:
  java.io.DataInput, java.io.DataOutput

public class NewOleFile
extends java.io.RandomAccessFile

Comment me

Author:
  Ryan Ackley

Field Summary
`protected int[]` | `_big_block_depot`
`protected int[]` | `_small_block_depot`

Constructor Summary
`NewOleFile(java.lang.String fileName, java.lang.String mode)`

Method Summary
`static void` | `main(java.lang.String[] args)`
`protected int[]` | `readChain(int[] blockChain, int startBlock)`

Methods inherited from class java.io.RandomAccessFile
`close, getChannel, getFD, getFilePointer, length, read, read, read, readBoolean, readByte, readChar, readDouble, readFloat, readFully, readFully, readInt, readLine, readLong, readShort, readUnsignedByte, readUnsignedShort, readUTF, seek, setLength, skipBytes, write, write, write, writeBoolean, writeByte, writeBytes, writeChar, writeChars, writeDouble, writeFloat, writeInt, writeLong, writeShort, writeUTF`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _big_block_depot

    protected int[] _big_block_depot

### _small_block_depot

    protected int[] _small_block_depot

Constructor Detail

### NewOleFile

    public NewOleFile(java.lang.String fileName,
                      java.lang.String mode)
               throws java.io.FileNotFoundException

Method Detail

### main

    public static void main(java.lang.String[] args)

### readChain

    protected int[] readChain(int[] blockChain,
                              int startBlock)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation.